ProjectHelper2.TargetHandler (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.helper

## Class ProjectHelper2.TargetHandler

- java.lang.Object
- - org.apache.tools.ant.helper.ProjectHelper2.AntHandler
  - - org.apache.tools.ant.helper.ProjectHelper2.TargetHandler

- Enclosing class:
    ProjectHelper2

      public static class ProjectHelper2.TargetHandler
      extends ProjectHelper2.AntHandler

  Handler for "target" and "extension-point" elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEndElement(java.lang.String uri, java.lang.String tag, AntXMLContext context)` Handle the end of the project, sets the current target of the context to be the implicit target.
    `ProjectHelper2.AntHandler` | `onStartChild(java.lang.String uri, java.lang.String name, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` Handles the start of an element within a target.
    `void` | `onStartElement(java.lang.String uri, java.lang.String tag, java.lang.String qname, org.xml.sax.Attributes attrs, AntXMLContext context)` Initialisation routine called after handler creation with the element name and attributes.

    - ### Methods inherited from class org.apache.tools.ant.helper.ProjectHelper2.AntHandler

      `characters, checkNamespace, onEndChild`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetHandler

          public TargetHandler()

  - ### Method Detail

    - #### onStartElement

          public void onStartElement(java.lang.String uri,
                                     java.lang.String tag,
                                     java.lang.String qname,
                                     org.xml.sax.Attributes attrs,
                                     AntXMLContext context)
                              throws org.xml.sax.SAXParseException

      Initialisation routine called after handler creation with the element name and attributes. The attributes which this handler can deal with are: `"name"`, `"depends"`, `"if"`, `"unless"`, `"id"` and `"description"`.
      Overrides:
        `onStartElement` in class `ProjectHelper2.AntHandler`
      Parameters:
        `uri` - The namespace URI for this element.
        `tag` - Name of the element which caused this handler to be created. Should not be `null`. Ignored in this implementation.
        `qname` - The qualified name for this element.
        `attrs` - Attributes of the element which caused this handler to be created. Must not be `null`.
        `context` - The current context.
      Throws:
        `org.xml.sax.SAXParseException` - if an unexpected attribute is encountered or if the `"name"` attribute is missing.

    - #### onStartChild

          public ProjectHelper2.AntHandler onStartChild(java.lang.String uri,
                                                        java.lang.String name,
                                                        java.lang.String qname,
                                                        org.xml.sax.Attributes attrs,
                                                        AntXMLContext context)
                                                 throws org.xml.sax.SAXParseException

      Handles the start of an element within a target.
      Overrides:
        `onStartChild` in class `ProjectHelper2.AntHandler`
      Parameters:
        `uri` - The namespace URI for this element.
        `name` - The name of the element being started. Will not be `null`.
        `qname` - The qualified name for this element.
        `attrs` - Attributes of the element being started. Will not be `null`.
        `context` - The current context.
      Returns:
        an element handler.
      Throws:
        `org.xml.sax.SAXParseException` - if an error occurs when initialising the appropriate child handler

    - #### onEndElement

          public void onEndElement(java.lang.String uri,
                                   java.lang.String tag,
                                   AntXMLContext context)

      Handle the end of the project, sets the current target of the context to be the implicit target.
      Overrides:
        `onEndElement` in class `ProjectHelper2.AntHandler`
      Parameters:
        `uri` - The namespace URI of the element.
        `tag` - The name of the element.
        `context` - The current context.